searchData={"items":[{"type":"module","title":"JsonDiffEx","doc":"This is the documentation of JsonDiffEx.\n\nThere are no runtime dependencies and it should be easy\nto use.\n\nYou can use the javascript library\n[jsondiffpatch](https://github.com/benjamine/jsondiffpatch)\nwith it since it get's it's diff format from it.\n\nIt contains both diff and patch","ref":"JsonDiffEx.html"},{"type":"module","title":"Example - JsonDiffEx","doc":"","ref":"JsonDiffEx.html#module-example"},{"type":"module","title":"Diff - JsonDiffEx","doc":"Simple example:\n\n    iex> JsonDiffEx.diff %{\"test\" => 1}, %{\"test\" => 2}\n    %{\"test\" => [1, 2]}\n\nNow with list:\n\n    iex> JsonDiffEx.diff %{\"test\" => [1,2,3]}, %{\"test\" => [2,3]}\n    %{\"test\" => %{\"_0\" => [1, 0, 0], \"_t\" => \"a\"}}\n\nNow with a map in the map:\n\n    iex> JsonDiffEx.diff %{\"test\" => %{\"1\": 1}}, %{\"test\" => %{\"1\": 2}}\n    %{\"test\" => %{\"1\": [1, 2]}}\n\nNow with a map in an list in the map:\n\n    iex> JsonDiffEx.diff %{\"test\" => [%{\"1\": 1}]}, %{\"test\" => [%{\"1\": 2}]}\n    %{\"test\" => %{\"0\" => %{\"1\": [1, 2]}, \"_t\" => \"a\"}}\n\nIf you have problems with using both integers and floats you can override the\nstrict comparison:\n\n    iex> JsonDiffEx.diff(%{a: 2100}, %{a: 2.1e3}, strict_equality: false)\n    %{}","ref":"JsonDiffEx.html#module-diff"},{"type":"module","title":"Patch - JsonDiffEx","doc":"Simple example of a patch:\n\n    iex> JsonDiffEx.patch %{\"test\" => 1}, %{\"test\" => [1, 2]}\n    %{\"test\" => 2}\n\nNow a patch with list:\n\n    iex> JsonDiffEx.patch %{\"test\" => [1,2,3]},\n    ...> %{\"test\" => %{\"_0\" => [1, 0, 0], \"_t\" => \"a\"}}\n    %{\"test\" => [2,3]}\n\nNow a patch with a map in the map:\n\n    iex> JsonDiffEx.patch %{\"test\" => %{\"1\": 1}}, %{\"test\" => %{\"1\": [1, 2]}}\n    %{\"test\" => %{\"1\": 2}}\n\nNow with a map in an list in the map:\n\n    iex> JsonDiffEx.patch %{\"test\" => [%{\"1\": 1}]},\n    ...> %{\"test\" => %{\"0\" => %{\"1\": [1, 2]}, \"_t\" => \"a\"}}\n    %{\"test\" => [%{\"1\": 2}]}","ref":"JsonDiffEx.html#module-patch"},{"type":"function","title":"JsonDiffEx.diff/3","doc":"Diff only supports Elixir's Map format but they can contain,\nlists, other maps and anything that can be compared like strings,\nnumbers and boolean.","ref":"JsonDiffEx.html#diff/3"},{"type":"function","title":"JsonDiffEx.patch/2","doc":"Patch only supports Elixir's Map format.","ref":"JsonDiffEx.html#patch/2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.0"}}